commit: 4fbde56e2572e0af3c23e2f36c94903b593f562d
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Fri Jul 17 05:36:15 2020 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Fri Jul 17 05:56:24 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4fbde56e
dev-python/simplejson: Bump to 3.17.2
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/simplejson/Manifest | 1 +
dev-python/simplejson/simplejson-3.17.2.ebuild | 27 ++++++++++++++++++++++++++
2 files changed, 28 insertions(+)
diff --git a/dev-python/simplejson/Manifest b/dev-python/simplejson/Manifest
index 757caacbbaf..6572589811d 100644
--- a/dev-python/simplejson/Manifest
+++ b/dev-python/simplejson/Manifest
@@ -1 +1,2 @@
DIST simplejson-3.17.0.tar.gz 83119 BLAKE2B
979dbcb5d50aeb55fd1c16daa398ef915ee1f23ca25a84870a3132c265202d1cd253090157cdea179cecc6603618df293a28adeadc795238ec3ccfceda88ea0a
SHA512
383ee4fa3b2f378cd83152ba588ffbb620aa0e7cec80d3e3097edfb406a60e96afd6c5302a5b64adb710d3a52479c609873a2db7ab5756d7ca7a51412029e4c6
+DIST simplejson-3.17.2.tar.gz 83210 BLAKE2B
1b9f97a43bfe84f1ad506713d81483ebcd4006d1174558b7a27373f99d014e23ed72a9ec2b2006e64760c61e1e500a4f1ea4547104e7f4c71ba51003df0a5052
SHA512
003b2fbcb3f8e0849bdbd958c78f8b470081d97527bef82306db77940c6734a1cbf3b5dcb0984d2f9c9d14aa525e7865a08e70a10971f8841e138f7ad6476e4a
diff --git a/dev-python/simplejson/simplejson-3.17.2.ebuild
b/dev-python/simplejson/simplejson-3.17.2.ebuild
new file mode 100644
index 00000000000..093a002c804
--- /dev/null
+++ b/dev-python/simplejson/simplejson-3.17.2.ebuild
@@ -0,0 +1,27 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python2_7 python3_{6,7,8,9} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="Simple, fast, extensible JSON encoder/decoder for Python"
+HOMEPAGE="https://github.com/simplejson/simplejson
https://pypi.org/project/simplejson/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="|| ( MIT AFL-2.1 )"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sparc
~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos"
+
+DOCS=( README.rst CHANGES.txt )
+
+distutils_enable_tests unittest
+
+python_compile() {
+ if ! python_is_python3; then
+ local -x CFLAGS="${CFLAGS} -fno-strict-aliasing"
+ fi
+ distutils-r1_python_compile
+}